---
title: Start recording a meeting
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Realtime Kit](https://developers.cloudflare.com/api/typescript/resources/realtime_kit)

[Recordings](https://developers.cloudflare.com/api/typescript/resources/realtime_kit/subresources/recordings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Start recording a meeting

client.realtimeKit.recordings.startRecordings(stringappID, RecordingStartRecordingsParams {account\_id, meeting\_id, allow\_multiple\_recordings, 9 more } params, RequestOptionsoptions?): [RecordingStartRecordingsResponse](<https://developers.cloudflare.com/api/typescript/resources/realtime_kit#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)>) {success, data }

POST/accounts/{account\_id}/realtime/kit/{app\_id}/recordings

Starts recording a meeting. The meeting can be started by an App admin directly, or a participant with permissions to start a recording, based on the type of authorization used.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID: string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

<details>

<summary>

params: RecordingStartRecordingsParams {account\_id, meeting\_id, allow\_multiple\_recordings, 9 more }

</summary>

account\_id: string

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

meeting\_id: string

Body param: ID of the meeting to record.

formatuuid

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id">Link to this property</a>

allow\_multiple\_recordings?: boolean

Body param: By default, a meeting allows only one recording to run at a time. Enabling the <code>allow_multiple_recordings</code> parameter to true allows you to initiate multiple recordings concurrently in the same meeting. This allows you to record separate videos of the same meeting with different configurations, such as portrait mode or landscape mode.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20allow_multiple_recordings">Link to this property</a>

<details>

<summary>

audio\_config?: <a href="https://developers.cloudflare.com/api/typescript/resources/realtime_kit/subresources/recordings/methods/start_recordings#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config%20%3E%20(schema)">AudioConfig</a>

Body param: Object containing configuration regarding the audio that is being recorded.

</summary>

<details>

<summary>

channel?: "mono"| "stereo"

Audio signal pathway within an audio file that carries a specific sound source.

</summary>

One of the following:

"mono"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config%20%3E%20(schema)%20%3E%20(property)%20channel%20%3E%20(member)%200">Link to this property</a>

"stereo"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config%20%3E%20(schema)%20%3E%20(property)%20channel%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config%20%3E%20(schema)%20%3E%20(property)%20channel">Link to this property</a>

<details>

<summary>

codec?: "MP3"| "AAC"

Codec using which the recording will be encoded. If VP8/VP9 is selected for videoConfig, changing audioConfig is not allowed. In this case, the codec in the audioConfig is automatically set to vorbis.

</summary>

One of the following:

"MP3"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config%20%3E%20(schema)%20%3E%20(property)%20codec%20%3E%20(member)%200">Link to this property</a>

"AAC"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config%20%3E%20(schema)%20%3E%20(property)%20codec%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config%20%3E%20(schema)%20%3E%20(property)%20codec">Link to this property</a>

export\_file?: boolean

Controls whether to export audio file seperately

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config%20%3E%20(schema)%20%3E%20(property)%20export_file">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20audio_config">Link to this property</a>

file\_name\_prefix?: string

Body param: Update the recording file name.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20file_name_prefix">Link to this property</a>

<details>

<summary>

interactive\_config?: <a href="https://developers.cloudflare.com/api/typescript/resources/realtime_kit/subresources/recordings/methods/start_recordings#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20interactive_config%20%3E%20(schema)">InteractiveConfig</a>

Body param: Allows you to add timed metadata to your recordings, which are digital markers inserted into a video file to provide contextual information at specific points in the content range. The ID3 tags containing this information are available to clients on the playback timeline in HLS format. The output files are generated in a compressed .tar format.

</summary>

type?: "ID3"

The metadata is presented in the form of ID3 tags.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20interactive_config%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20interactive_config">Link to this property</a>

max\_seconds?: number

Body param: Specifies the maximum duration for recording in seconds, ranging from a minimum of 60 seconds to a maximum of 24 hours.

maximum86400

minimum60

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20max_seconds">Link to this property</a>

<details>

<summary>

realtimekit\_bucket\_config?: <a href="https://developers.cloudflare.com/api/typescript/resources/realtime_kit/subresources/recordings/methods/start_recordings#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20realtimekit_bucket_config%20%3E%20(schema)">RealtimekitBucketConfig</a>

Body param

</summary>

enabled: boolean

Controls whether recordings are uploaded to RealtimeKit’s bucket. If set to false, <code>download_url</code>, <code>audio_download_url</code>, <code>download_url_expiry</code> won’t be generated for a recording.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20realtimekit_bucket_config%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20realtimekit_bucket_config">Link to this property</a>

<details>

<summary>

rtmp\_out\_config?: <a href="https://developers.cloudflare.com/api/typescript/resources/realtime_kit/subresources/recordings/methods/start_recordings#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20rtmp_out_config%20%3E%20(schema)">RtmpOutConfig</a>

Body param

</summary>

rtmp\_url?: string

RTMP URL to stream to

formaturi

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20rtmp_out_config%20%3E%20(schema)%20%3E%20(property)%20rtmp_url">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20rtmp_out_config">Link to this property</a>

<details>

<summary>

storage\_config?: UnionMember0 {access\_key, auth\_method, bucket, 9 more } | UnionMember1 {access\_key, region, auth\_method, 9 more } | UnionMember2 {private\_key, access\_key, auth\_method, 9 more } | UnionMember3 {password, access\_key, auth\_method, 9 more } | null

Body param

</summary>

One of the following:

<details>

<summary>

UnionMember0 {access\_key, auth\_method, bucket, 9 more }

</summary>

access\_key?: string

Access key of the storage medium. Access key is not required for the <code>gcs</code> storage media type.

Note that this field is not readable by clients, only writeable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20access_key">Link to this property</a>

<details>

<summary>

auth\_method?: "KEY"| "PASSWORD"

Authentication method used for “sftp” type storage medium

</summary>

One of the following:

"KEY"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20auth_method%20%3E%20(member)%200">Link to this property</a>

"PASSWORD"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20auth_method%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20auth_method">Link to this property</a>

bucket?: string

Name of the storage medium’s bucket.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20bucket">Link to this property</a>

host?: string

SSH destination server host for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20host">Link to this property</a>

password?: string

SSH destination server password for SFTP type storage medium when auth\_method is “PASSWORD”. If auth\_method is “KEY”, this specifies the password for the ssh private key.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20password">Link to this property</a>

path?: string

Path relative to the bucket root at which the recording will be placed.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20path">Link to this property</a>

port?: number

SSH destination server port for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20port">Link to this property</a>

private\_key?: string

Private key used to login to destination SSH server for SFTP type storage medium, when auth\_method used is “KEY”

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20private_key">Link to this property</a>

region?: string

Region of the storage medium.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20region">Link to this property</a>

secret?: string

Secret key of the storage medium. Similar to <code>access_key</code>, it is only writeable by clients, not readable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20secret">Link to this property</a>

type?: "gcs"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

username?: string

SSH destination server username for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

UnionMember1 {access\_key, region, auth\_method, 9 more }

</summary>

access\_key: unknown

minLength1

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20access_key">Link to this property</a>

region: unknown

minLength1

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20region">Link to this property</a>

<details>

<summary>

auth\_method?: "KEY"| "PASSWORD"

Authentication method used for “sftp” type storage medium

</summary>

One of the following:

"KEY"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20auth_method%20%3E%20(member)%200">Link to this property</a>

"PASSWORD"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20auth_method%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20auth_method">Link to this property</a>

bucket?: string

Name of the storage medium’s bucket.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20bucket">Link to this property</a>

host?: string

SSH destination server host for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20host">Link to this property</a>

password?: string

SSH destination server password for SFTP type storage medium when auth\_method is “PASSWORD”. If auth\_method is “KEY”, this specifies the password for the ssh private key.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20password">Link to this property</a>

path?: string

Path relative to the bucket root at which the recording will be placed.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20path">Link to this property</a>

port?: number

SSH destination server port for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20port">Link to this property</a>

private\_key?: string

Private key used to login to destination SSH server for SFTP type storage medium, when auth\_method used is “KEY”

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20private_key">Link to this property</a>

secret?: string

Secret key of the storage medium. Similar to <code>access_key</code>, it is only writeable by clients, not readable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20secret">Link to this property</a>

<details>

<summary>

type?: "aws"| "azure"| "digitalocean"

</summary>

One of the following:

"aws"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"azure"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"digitalocean"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

username?: string

SSH destination server username for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

UnionMember2 {private\_key, access\_key, auth\_method, 9 more }

</summary>

private\_key: string

Private key used to login to destination SSH server for SFTP type storage medium, when auth\_method used is “KEY”

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20private_key">Link to this property</a>

access\_key?: string

Access key of the storage medium. Access key is not required for the <code>gcs</code> storage media type.

Note that this field is not readable by clients, only writeable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20access_key">Link to this property</a>

auth\_method?: "KEY"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20auth_method">Link to this property</a>

bucket?: string

Name of the storage medium’s bucket.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20bucket">Link to this property</a>

host?: string

SSH destination server host for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20host">Link to this property</a>

password?: string

SSH destination server password for SFTP type storage medium when auth\_method is “PASSWORD”. If auth\_method is “KEY”, this specifies the password for the ssh private key.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20password">Link to this property</a>

path?: string

Path relative to the bucket root at which the recording will be placed.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20path">Link to this property</a>

port?: number

SSH destination server port for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20port">Link to this property</a>

region?: string

Region of the storage medium.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20region">Link to this property</a>

secret?: string

Secret key of the storage medium. Similar to <code>access_key</code>, it is only writeable by clients, not readable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20secret">Link to this property</a>

<details>

<summary>

type?: "aws"| "azure"| "digitalocean"| 2 more

Type of storage media.

</summary>

One of the following:

"aws"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"azure"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"digitalocean"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

"gcs"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%203">Link to this property</a>

"sftp"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type">Link to this property</a>

username?: string

SSH destination server username for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

UnionMember3 {password, access\_key, auth\_method, 9 more }

</summary>

password: string

SSH destination server password for SFTP type storage medium when auth\_method is “PASSWORD”. If auth\_method is “KEY”, this specifies the password for the ssh private key.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20password">Link to this property</a>

access\_key?: string

Access key of the storage medium. Access key is not required for the <code>gcs</code> storage media type.

Note that this field is not readable by clients, only writeable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20access_key">Link to this property</a>

auth\_method?: "PASSWORD"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20auth_method">Link to this property</a>

bucket?: string

Name of the storage medium’s bucket.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20bucket">Link to this property</a>

host?: string

SSH destination server host for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20host">Link to this property</a>

path?: string

Path relative to the bucket root at which the recording will be placed.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20path">Link to this property</a>

port?: number

SSH destination server port for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20port">Link to this property</a>

private\_key?: string

Private key used to login to destination SSH server for SFTP type storage medium, when auth\_method used is “KEY”

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20private_key">Link to this property</a>

region?: string

Region of the storage medium.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20region">Link to this property</a>

secret?: string

Secret key of the storage medium. Similar to <code>access_key</code>, it is only writeable by clients, not readable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20secret">Link to this property</a>

<details>

<summary>

type?: "aws"| "azure"| "digitalocean"| 2 more

Type of storage media.

</summary>

One of the following:

"aws"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"azure"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"digitalocean"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

"gcs"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%203">Link to this property</a>

"sftp"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type">Link to this property</a>

username?: string

SSH destination server username for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config%20%3E%20(schema)%20%3E%20(variant)%203">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20storage_config">Link to this property</a>

url?: string

Body param: Pass a custom url to record arbitary screen

formaturi

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20url">Link to this property</a>

<details>

<summary>

video\_config?: <a href="https://developers.cloudflare.com/api/typescript/resources/realtime_kit/subresources/recordings/methods/start_recordings#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)">VideoConfig</a>

Body param

</summary>

<details>

<summary>

codec?: "H264"| "VP8"| "VP9"

Codec using which the recording will be encoded.

</summary>

One of the following:

"H264"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20codec%20%3E%20(member)%200">Link to this property</a>

"VP8"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20codec%20%3E%20(member)%201">Link to this property</a>

"VP9"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20codec%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20codec">Link to this property</a>

export\_file?: boolean

Controls whether to export video file seperately

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20export_file">Link to this property</a>

height?: number

Height of the recording video in pixels

maximum1920

minimum1

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20height">Link to this property</a>

<details>

<summary>

watermark?: Watermark {position, size, url }

Watermark to be added to the recording

</summary>

<details>

<summary>

position?: "left top"| "right top"| "left bottom"| "right bottom"

Position of the watermark

</summary>

One of the following:

"left top"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20position%20%3E%20(member)%200">Link to this property</a>

"right top"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20position%20%3E%20(member)%201">Link to this property</a>

"left bottom"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20position%20%3E%20(member)%202">Link to this property</a>

"right bottom"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20position%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20position">Link to this property</a>

<details>

<summary>

size?: Size {height, width }

Size of the watermark

</summary>

height?: number

Height of the watermark in px

minimum1

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20size%20%3E%20(property)%20height">Link to this property</a>

width?: number

Width of the watermark in px

minimum1

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20size%20%3E%20(property)%20width">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20size">Link to this property</a>

url?: string

URL of the watermark image

formaturi

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20watermark">Link to this property</a>

width?: number

Width of the recording video in pixels

maximum1920

minimum1

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20width">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default%20%3E%20(param)%20video_config">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.recordings%20%3E%20(method)%20start_recordings%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

RecordingStartRecordingsResponse {success, data }

</summary>

success: boolean

Success status of the operation

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

<details>

<summary>

data?: Data {id, audio\_download\_url, download\_url, 12 more }

Data returned by the operation

</summary>

id: string

ID of the recording

formatuuid

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20id">Link to this property</a>

audio\_download\_url: string| null

If the audio\_config is passed, the URL for downloading the audio recording is returned.

formaturi

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20audio_download_url">Link to this property</a>

download\_url: string| null

URL where the recording can be downloaded.

formaturi

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20download_url">Link to this property</a>

download\_url\_expiry: string| null

Timestamp when the download URL expires.

formatdate-time

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20download_url_expiry">Link to this property</a>

file\_size: number| null

File size of the recording, in bytes.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20file_size">Link to this property</a>

invoked\_time: string

Timestamp when this recording was invoked.

formatdate-time

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20invoked_time">Link to this property</a>

output\_file\_name: string

File name of the recording.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20output_file_name">Link to this property</a>

session\_id: string| null

ID of the meeting session this recording is for.

formatuuid

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20session_id">Link to this property</a>

started\_time: string| null

Timestamp when this recording actually started after being invoked. Usually a few seconds after <code>invoked_time</code>.

formatdate-time

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20started_time">Link to this property</a>

<details>

<summary>

status: "INVOKED"| "RECORDING"| "UPLOADING"| 3 more

Current status of the recording.

</summary>

One of the following:

"INVOKED"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"RECORDING"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"UPLOADING"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

"UPLOADED"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

"ERRORED"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%204">Link to this property</a>

"PAUSED"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status">Link to this property</a>

stopped\_time: string| null

Timestamp when this recording was stopped. Optional; is present only when the recording has actually been stopped.

formatdate-time

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stopped_time">Link to this property</a>

recording\_duration?: number

Total recording time in seconds.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20recording_duration">Link to this property</a>

<details>

<summary>

start\_reason?: StartReason {caller, reason }

</summary>

<details>

<summary>

caller?: Caller {name, type, user\_Id }

</summary>

name?: string

Name of the user who started the recording.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20caller%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type?: "ORGANIZATION"| "USER"

The type can be an App or a user. If the type is <code>user</code>, then only the <code>user_Id</code> and <code>name</code> are returned.

</summary>

One of the following:

"ORGANIZATION"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20caller%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"USER"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20caller%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20caller%20%3E%20(property)%20type">Link to this property</a>

user\_Id?: string

The user ID of the person who started the recording.

formatuuid

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20caller%20%3E%20(property)%20user_Id">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20caller">Link to this property</a>

<details>

<summary>

reason?: "API\_CALL"| "RECORD\_ON\_START"

Specifies if the recording was started using the “Start a Recording”API or using the parameter RECORD\_ON\_START in the “Create a meeting” API.

If the recording is initiated using the “RECORD\_ON\_START” parameter, the user details will not be populated.

</summary>

One of the following:

"API\_CALL"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20reason%20%3E%20(member)%200">Link to this property</a>

"RECORD\_ON\_START"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20reason%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason%20%3E%20(property)%20reason">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20start_reason">Link to this property</a>

<details>

<summary>

stop\_reason?: StopReason {caller, reason }

</summary>

<details>

<summary>

caller?: Caller {name, type, user\_Id }

</summary>

name?: string

Name of the user who stopped the recording.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20caller%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type?: "ORGANIZATION"| "USER"

The type can be an App or a user. If the type is <code>user</code>, then only the <code>user_Id</code> and <code>name</code> are returned.

</summary>

One of the following:

"ORGANIZATION"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20caller%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"USER"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20caller%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20caller%20%3E%20(property)%20type">Link to this property</a>

user\_Id?: string

The user ID of the person who stopped the recording.

formatuuid

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20caller%20%3E%20(property)%20user_Id">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20caller">Link to this property</a>

<details>

<summary>

reason?: "API\_CALL"| "INTERNAL\_ERROR"| "ALL\_PEERS\_LEFT"

Specifies the reason why the recording stopped.

</summary>

One of the following:

"API\_CALL"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20reason%20%3E%20(member)%200">Link to this property</a>

"INTERNAL\_ERROR"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20reason%20%3E%20(member)%201">Link to this property</a>

"ALL\_PEERS\_LEFT"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20reason%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason%20%3E%20(property)%20reason">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stop_reason">Link to this property</a>

<details>

<summary>

storage\_config?: UnionMember0 {access\_key, auth\_method, bucket, 9 more } | UnionMember1 {access\_key, region, auth\_method, 9 more } | UnionMember2 {private\_key, access\_key, auth\_method, 9 more } | UnionMember3 {password, access\_key, auth\_method, 9 more } | null

</summary>

One of the following:

<details>

<summary>

UnionMember0 {access\_key, auth\_method, bucket, 9 more }

</summary>

access\_key?: string

Access key of the storage medium. Access key is not required for the <code>gcs</code> storage media type.

Note that this field is not readable by clients, only writeable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20access_key">Link to this property</a>

<details>

<summary>

auth\_method?: "KEY"| "PASSWORD"

Authentication method used for “sftp” type storage medium

</summary>

One of the following:

"KEY"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20auth_method%20%3E%20(member)%200">Link to this property</a>

"PASSWORD"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20auth_method%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20auth_method">Link to this property</a>

bucket?: string

Name of the storage medium’s bucket.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20bucket">Link to this property</a>

host?: string

SSH destination server host for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20host">Link to this property</a>

password?: string

SSH destination server password for SFTP type storage medium when auth\_method is “PASSWORD”. If auth\_method is “KEY”, this specifies the password for the ssh private key.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20password">Link to this property</a>

path?: string

Path relative to the bucket root at which the recording will be placed.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20path">Link to this property</a>

port?: number

SSH destination server port for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20port">Link to this property</a>

private\_key?: string

Private key used to login to destination SSH server for SFTP type storage medium, when auth\_method used is “KEY”

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20private_key">Link to this property</a>

region?: string

Region of the storage medium.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20region">Link to this property</a>

secret?: string

Secret key of the storage medium. Similar to <code>access_key</code>, it is only writeable by clients, not readable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20secret">Link to this property</a>

type?: "gcs"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

username?: string

SSH destination server username for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

UnionMember1 {access\_key, region, auth\_method, 9 more }

</summary>

access\_key: unknown

minLength1

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20access_key">Link to this property</a>

region: unknown

minLength1

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20region">Link to this property</a>

<details>

<summary>

auth\_method?: "KEY"| "PASSWORD"

Authentication method used for “sftp” type storage medium

</summary>

One of the following:

"KEY"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20auth_method%20%3E%20(member)%200">Link to this property</a>

"PASSWORD"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20auth_method%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20auth_method">Link to this property</a>

bucket?: string

Name of the storage medium’s bucket.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20bucket">Link to this property</a>

host?: string

SSH destination server host for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20host">Link to this property</a>

password?: string

SSH destination server password for SFTP type storage medium when auth\_method is “PASSWORD”. If auth\_method is “KEY”, this specifies the password for the ssh private key.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20password">Link to this property</a>

path?: string

Path relative to the bucket root at which the recording will be placed.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20path">Link to this property</a>

port?: number

SSH destination server port for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20port">Link to this property</a>

private\_key?: string

Private key used to login to destination SSH server for SFTP type storage medium, when auth\_method used is “KEY”

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20private_key">Link to this property</a>

secret?: string

Secret key of the storage medium. Similar to <code>access_key</code>, it is only writeable by clients, not readable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20secret">Link to this property</a>

<details>

<summary>

type?: "aws"| "azure"| "digitalocean"

</summary>

One of the following:

"aws"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"azure"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"digitalocean"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

username?: string

SSH destination server username for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

UnionMember2 {private\_key, access\_key, auth\_method, 9 more }

</summary>

private\_key: string

Private key used to login to destination SSH server for SFTP type storage medium, when auth\_method used is “KEY”

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20private_key">Link to this property</a>

access\_key?: string

Access key of the storage medium. Access key is not required for the <code>gcs</code> storage media type.

Note that this field is not readable by clients, only writeable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20access_key">Link to this property</a>

auth\_method?: "KEY"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20auth_method">Link to this property</a>

bucket?: string

Name of the storage medium’s bucket.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20bucket">Link to this property</a>

host?: string

SSH destination server host for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20host">Link to this property</a>

password?: string

SSH destination server password for SFTP type storage medium when auth\_method is “PASSWORD”. If auth\_method is “KEY”, this specifies the password for the ssh private key.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20password">Link to this property</a>

path?: string

Path relative to the bucket root at which the recording will be placed.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20path">Link to this property</a>

port?: number

SSH destination server port for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20port">Link to this property</a>

region?: string

Region of the storage medium.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20region">Link to this property</a>

secret?: string

Secret key of the storage medium. Similar to <code>access_key</code>, it is only writeable by clients, not readable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20secret">Link to this property</a>

<details>

<summary>

type?: "aws"| "azure"| "digitalocean"| 2 more

Type of storage media.

</summary>

One of the following:

"aws"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"azure"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"digitalocean"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

"gcs"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%203">Link to this property</a>

"sftp"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20type%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20type">Link to this property</a>

username?: string

SSH destination server username for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

UnionMember3 {password, access\_key, auth\_method, 9 more }

</summary>

password: string

SSH destination server password for SFTP type storage medium when auth\_method is “PASSWORD”. If auth\_method is “KEY”, this specifies the password for the ssh private key.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20password">Link to this property</a>

access\_key?: string

Access key of the storage medium. Access key is not required for the <code>gcs</code> storage media type.

Note that this field is not readable by clients, only writeable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20access_key">Link to this property</a>

auth\_method?: "PASSWORD"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20auth_method">Link to this property</a>

bucket?: string

Name of the storage medium’s bucket.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20bucket">Link to this property</a>

host?: string

SSH destination server host for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20host">Link to this property</a>

path?: string

Path relative to the bucket root at which the recording will be placed.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20path">Link to this property</a>

port?: number

SSH destination server port for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20port">Link to this property</a>

private\_key?: string

Private key used to login to destination SSH server for SFTP type storage medium, when auth\_method used is “KEY”

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20private_key">Link to this property</a>

region?: string

Region of the storage medium.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20region">Link to this property</a>

secret?: string

Secret key of the storage medium. Similar to <code>access_key</code>, it is only writeable by clients, not readable.

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20secret">Link to this property</a>

<details>

<summary>

type?: "aws"| "azure"| "digitalocean"| 2 more

Type of storage media.

</summary>

One of the following:

"aws"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"azure"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"digitalocean"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

"gcs"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%203">Link to this property</a>

"sftp"

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20type%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20type">Link to this property</a>

username?: string

SSH destination server username for SFTP type storage medium

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config%20%3E%20(variant)%203">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20storage_config">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.recordings%20%3E%20(model)%20recording_start_recordings_response%20%3E%20(schema)>)

### Start recording a meeting

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.recordings.startRecordings(
  '14a396e7-ca44-4937-bf1f-050a69118543',
  {
    account_id: '023e105f4ecef8ad9ca31a8372d0c353',
    meeting_id: '97440c6a-140b-40a9-9499-b23fd7a3868a',
    audio_config: {
      channel: 'stereo',
      codec: 'AAC',
      export_file: true,
    },
    file_name_prefix: 'string',
    interactive_config: { type: 'ID3' },
    max_seconds: 60,
    realtimekit_bucket_config: { enabled: true },
    video_config: {
      codec: 'H264',
      export_file: true,
      height: 720,
      watermark: {
        position: 'left top',
        size: { height: 1, width: 1 },
        url: 'http://example.com',
      },
      width: 1280,
    },
  },
);

console.log(response.success);
```

200 example

```
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "audio_download_url": "https://example.com",
    "download_url": "https://example.com",
    "download_url_expiry": "2019-12-27T18:11:19.117Z",
    "file_size": 0,
    "invoked_time": "2019-12-27T18:11:19.117Z",
    "output_file_name": "output_file_name",
    "session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "started_time": "2019-12-27T18:11:19.117Z",
    "status": "INVOKED",
    "stopped_time": "2019-12-27T18:11:19.117Z",
    "recording_duration": 0,
    "start_reason": {
      "caller": {
        "name": "RealtimeKit_test",
        "type": "ORGANIZATION",
        "user_Id": "d61f6956-e68f-4375-bf10-c38a704d1bec"
      },
      "reason": "API_CALL"
    },
    "stop_reason": {
      "caller": {
        "name": "RealtimeKit_test",
        "type": "ORGANIZATION",
        "user_Id": "d61f6956-e68f-4375-bf10-c38a704d1bec"
      },
      "reason": "API_CALL"
    },
    "storage_config": {
      "auth_method": "KEY",
      "bucket": "bucket",
      "host": "host",
      "path": "path",
      "port": 0,
      "region": "us-east-1",
      "type": "gcs",
      "username": "username"
    }
  }
}
```

##### Returns Examples

200 example

```
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "audio_download_url": "https://example.com",
    "download_url": "https://example.com",
    "download_url_expiry": "2019-12-27T18:11:19.117Z",
    "file_size": 0,
    "invoked_time": "2019-12-27T18:11:19.117Z",
    "output_file_name": "output_file_name",
    "session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "started_time": "2019-12-27T18:11:19.117Z",
    "status": "INVOKED",
    "stopped_time": "2019-12-27T18:11:19.117Z",
    "recording_duration": 0,
    "start_reason": {
      "caller": {
        "name": "RealtimeKit_test",
        "type": "ORGANIZATION",
        "user_Id": "d61f6956-e68f-4375-bf10-c38a704d1bec"
      },
      "reason": "API_CALL"
    },
    "stop_reason": {
      "caller": {
        "name": "RealtimeKit_test",
        "type": "ORGANIZATION",
        "user_Id": "d61f6956-e68f-4375-bf10-c38a704d1bec"
      },
      "reason": "API_CALL"
    },
    "storage_config": {
      "auth_method": "KEY",
      "bucket": "bucket",
      "host": "host",
      "path": "path",
      "port": 0,
      "region": "us-east-1",
      "type": "gcs",
      "username": "username"
    }
  }
}
```